Subject: Re: bug#47408: Etags support for Mercury [v0.5]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Jun 2021 16:59:04 +0300

> From: Francesco Potortì <[email-masked]>
> Date: Tue, 08 Jun 2021 14:47:13 +0200
> Cc: [email-masked],
> 	[email-masked]
> 
> >> I just looked at the code.  Unless I am grossly mistaken, nothing is
> >> needed to get ctags output.  You just call the program as ctags and
> >> that's it.  So there is no reason to prevent ctags help from mentioning
> >> Mercurial.
> >
> >Then how come, when I run the etags test suite (test/manual/etags/), I
> >get no change in the produced CTAGS file wrt CTAGS.good?  That .good
> >file is from before we added the Mercury source to the suite.  What am
> >I missing?
> 
> Sorry, don't know :(  Looked again, but then I'd need to debug it to know...

I found the reason: make_tag was called incorrectly from mercury_pr.

This should be fixed now.